<?php
require'f_grup.php';
$titlu='Trimite mass membrilor grupului '.$pnume;
require'f_sus.php';
if($pinfo[1]!=$de)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Grupul '.$pnume.', nu este al tau!';
else
{
require'f_mut.php';
require'f_blocat.php';
if($conn->query('SELECT COUNT(*)FROM`grup_membrii`WHERE`cid`="'.$pid.'"&&`citit`>"0"')->fetch_row()[0]<2)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai mai mult de un membru în grupul '.$pnume.'!';
elseif(blocat($pmtext))
{
$tip='mass către membrii grupului '.$pminfo[3];
$text=$pmtext;
require'f_ban.php';
}
elseif($pmtext=='')
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu poți trimite mass gol, nu vrem sa irosim resurse aiurea!';
else
{
require'f_spam.php';
$timp=$_SERVER['REQUEST_TIME'];
$pmtext=$pmtext.'[br/][small][i][b]Acesta este un mass către membrii grupului [url=/grup/id/'.$pid.'-'.seo($pinfo[3]).']'.$pnume.'[/url][/b][/i][/small]';
$items=$conn->query('SELECT`de`FROM`grup_membrii`WHERE`de`!="'.$de.'"&&`cid`="'.$pid.'"&&`citit`>"0"');
while($item=$items->fetch_row())
{
$conn->query('INSERT INTO`mesaje`SET`de`="'.$de.'",`la`="'.$item[0].'",`text`="'.$pmtext.'",`data`="'.$timp.'",`raportat`="'.(spam($pmtext)&&!in_array($de,$id_proprietari)?$id_robot:0).'"');
}
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Ai trimis mass cu succes membrilor grupului '.$pnume.'!';
}
}
echo$div[0];
require'f_jos.php';